OGRE: Ogre::v1::OverlayProfileSessionListener Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Types | Public Member Functions | List of all members
Ogre::v1::OverlayProfileSessionListener Class Reference
Core » Overlays

Concrete impl. More...

`#include <OgreOverlayProfileSessionListener.h>`

Inheritance diagram for Ogre::v1::OverlayProfileSessionListener:
[legend]

## Public Types
enum | DisplayMode { DISPLAY_PERCENTAGE, DISPLAY_MILLISECONDS }

## Public Member Functions
| OverlayProfileSessionListener ()
virtual | ~OverlayProfileSessionListener ()
virtual void | changeEnableState (bool enabled)
virtual void | displayResults (const ProfileInstance &instance, ulong maxTotalFrameTime)
virtual void | finializeSession ()
DisplayMode | getDisplayMode () const
| Get the display mode for the overlay. More...
Real | getOverlayHeight () const
Real | getOverlayLeft () const
Real | getOverlayTop () const
Real | getOverlayWidth () const
virtual void | initializeSession ()
void | setDisplayMode (DisplayMode d)
| Set the display mode for the overlay. More...
void | setOverlayDimensions (Real width, Real height)
| Set the size of the profiler overlay, in pixels. More...
void | setOverlayPosition (Real left, Real top)
| Set the position of the profiler overlay, in pixels. More...

## Detailed Description

Concrete impl.

of the ProfileSessionListener which visualizes the profling results using overlays.

## Member Enumeration Documentation

## ◆ DisplayMode

enum Ogre::ProfileSessionListener::DisplayMode
| inherited

Enumerator
DISPLAY_PERCENTAGE | Display % frame usage on the overlay.
DISPLAY_MILLISECONDS | Display milliseconds on the overlay.

## Member Function Documentation

## ◆ getDisplayMode()

DisplayMode Ogre::ProfileSessionListener::getDisplayMode | ( |  | ) | const
| inlineinherited

Get the display mode for the overlay.

## ◆ setDisplayMode()

void Ogre::ProfileSessionListener::setDisplayMode | ( | DisplayMode | d | ) |
| inlineinherited

Set the display mode for the overlay.

The documentation for this class was generated from the following file:

- OgreOverlayProfileSessionListener.h